<?xml version="1.0" encoding="UTF-8"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->


<document>
  <properties>
    <title>Maven Source Control Management Plug-in Goals</title>
  </properties>
  <body>
    <goals>
      <goal>
        <name>scm:bootstrap-project</name>
        <description>Bootstrap a project from SCM</description>
      </goal>
      <goal>
        <name>scm:checkout-project</name>
        <description>Checkout a project</description>
      </goal>
      <goal>
        <name>scm:update-project</name>
        <description>Update a project from SCM</description>
      </goal>
      <goal>
        <name>scm:prepare-release</name>
        <description>
          Prepare a project for release from SCM. This checks all
          changes are committed, and prompts for a tag and version
          name to release the project with. It will update project.xml locally
          and in the SCM system, as well as tagging the SCM as requested.
        </description>
      </goal>
      <goal>
        <name>scm:perform-release</name>
        <description>
          This task checks out the project from SCM at any location, from the
          tag requested. It then builds a clean version of the code and deploys
          it to the remote repository.
          You can automate this using the appropriate properties, but for any
          that are not provided you will be prompted for them.
        </description>
      </goal>
    </goals>
  </body>
</document>
